Commit 42701729 authored by Julien Muchembled's avatar Julien Muchembled

NEO: fix build of [slapos-deps-eggs]

parent 50924f7e
......@@ -16,6 +16,7 @@ extends =
../../component/python-2.7/buildout.cfg
../../component/mariadb/buildout.cfg
../../component/mysql-python/buildout.cfg
../../component/pycrypto-python/buildout.cfg
parts =
slapos-deps-eggs
......@@ -101,6 +102,22 @@ ZODB3-patches = ${:_profile_base_location_}/../../component/egg-patch/ZODB3-3.10
ZODB3-patch-options = -p1
[versions]
MySQL-python = 1.2.5
neoppod = 1.5
slapos.recipe.template = 2.8
# patched egg
ZODB3 = 3.10.5+SlapOSPatched001
# Required by slapos.toolbox==0.52
slapos.toolbox = 0.52
apache-libcloud = 0.18.0
atomize = 0.2.0
ecdsa = 0.13
feedparser = 5.2.1
GitPython = 1.0.1
gitdb = 0.6.4
lockfile = 0.10.2
paramiko = 1.15.3
pycrypto = 2.6.1
rpdb = 0.1.5
smmap = 0.9.0
##
......@@ -20,3 +20,12 @@ context =
[cluster]
<= download-base-neo
md5sum = ee8401a4e7d82bf488a57e3399f9ce48
[versions]
# To match ERP5
transaction = 1.1.1
ZConfig = 2.9.1
zc.lockfile = 1.0.2
zdaemon = 2.0.7
zope.event = 3.5.2
##
......@@ -26,7 +26,6 @@ extends =
../../component/percona-toolkit/buildout.cfg
../../component/patch/buildout.cfg
../../component/pillow/buildout.cfg
../../component/pycrypto-python/buildout.cfg
../../component/pysvn-python/buildout.cfg
../../component/python-ldap-python/buildout.cfg
../../component/rdiff-backup/buildout.cfg
......@@ -587,20 +586,19 @@ setup = ${erp5:location}
branch =
revision = f1545ad0e6db238d22fd8c84a149b004ab6b8f03
[slapos-toolbox]
[slapos-deps-eggs]
recipe = zc.recipe.egg
eggs =
${lxml-python:egg}
slapos.toolbox
eggs +=
slapos.toolbox[zodbpack]
scripts =
scripts +=
is-local-tcp-port-opened
onetimedownload
slapos-kill
zodbpack
[versions]
# See ../../software/neoppod/software-common.cfg for versions common with NEO:
# neoppod, MySQL-python, slapos.recipe.template & [slapos-deps-eggs]
# patched eggs
Acquisition = 2.13.8+SlapOSPatched001
Products.DCWorkflow = 2.2.4+SlapOSPatched001
......@@ -645,7 +643,6 @@ zope.app.publication = 3.14.0
zope.app.testing = 3.8.1
# Pinned versions
MySQL-python = 1.2.5
Pillow = 3.0.0
Products.CMFActionIcons = 2.1.3
Products.DCWorkflowGraph = 0.4.1
......@@ -661,17 +658,14 @@ PyXML = 0.8.5
Pympler = 0.4.2
StructuredText = 2.11.1
WSGIUtils = 0.7
apache-libcloud = 0.18.0
astroid = 1.3.6
chardet = 2.3.0
csp-eventlet = 0.7.0
ecdsa = 0.13
elementtree = 1.2.6.post20050316
erp5diff = 0.8.1.7
eventlet = 0.17.4
five.formlib = 1.0.4
five.localsitemanager = 2.0.5
gitdb = 0.6.4
greenlet = 0.4.9
http-parser = 0.8.3
httplib2 = 0.9.2
......@@ -680,7 +674,6 @@ interval = 1.0.0
ipdb = 0.8.1
ipython = 3.2.0
logilab-common = 1.0.2
neoppod = 1.5.0
numpy = 1.10.0.post2
objgraph = 2.0.1
plone.recipe.command = 1.1
......@@ -688,7 +681,6 @@ ply = 3.8
polib = 1.0.7
pprofile = 1.7.3
pycountry = 1.17
pycrypto = 2.6.1
pyflakes = 1.0.0
pylint = 1.4.4
python-magic = 0.4.6
......@@ -696,9 +688,6 @@ python-memcached = 1.57
qrcode = 5.1
restkit = 4.2.2
rtjp-eventlet = 0.3.2
slapos.recipe.template = 2.8
slapos.toolbox = 0.52
smmap = 0.9.0
socketpool = 0.5.3
spyne = 2.12.9
suds = 0.4
......@@ -710,38 +699,14 @@ validictory = 1.0.1
xfw = 0.10
xupdate-processor = 0.4
# Required by:
# slapos.toolbox==0.52
GitPython = 1.0.1
# Required by:
# Products.CMFCore==2.2.8
Products.ZSQLMethods = 2.13.4
# Required by:
# slapos.toolbox==0.52
atomize = 0.2.0
# Required by:
# slapos.toolbox==0.52
feedparser = 5.2.1
# Required by:
# SOAPpy===0.12.0nxd001
fpconst = 0.7.2
# Required by:
# slapos.toolbox==0.52
lockfile = 0.10.2
# Required by:
# slapos.toolbox==0.52
paramiko = 1.15.3
# Required by:
# slapos.toolbox==0.52
rpdb = 0.1.5
# Required by:
# zope.app.testing==3.8.1
zope.app.debug = 3.4.1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment